Bug 1361209 - need to throw right error message when self heal deamon is disabled and user tried to trigger manual heal [NEEDINFO]
Summary: need to throw right error message when self heal deamon is disabled and user ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Vijay Avuthu
URL:
Whiteboard: rebase
Depends On: 1388509
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2016-07-28 13:50 UTC by nchilaka
Modified: 2018-09-17 15:34 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: If docs needed, set a value
Doc Text:
Previously, when the heal daemon was disabled by using the heal disable command, you had to manually trigger a heal by using "gluster volume heal <volname>" command. The command used to provide a message which was not useful. With this fix, when you try to trigger a manual heal on a disabled daemon, the message now says to start the daemon in order to trigger a heal.
Clone Of:
Environment:
Last Closed: 2018-09-04 06:29:40 UTC
srmukher: needinfo? (moagrawa)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:31:22 UTC

Description nchilaka 2016-07-28 13:50:04 UTC
Description of problem:
=====================
When the heal deamon is disabled using heal disable, and the admin tries to trigger a manual heal using "gluster v heal <vname> " command , following is the informational message admin gets

Launching heal operation to perform index self heal on volume distrep has been unsuccessful on bricks that are down. Please check if all brick processes are running.


This info message is not at all useful and is really confusing. 
Rather the admin must get a message saying the "self heal deamon is disabled, kindly start the deamon to trigger heal "




Version-Release number of selected component (if applicable):
==============================
3.7.9-11

How reproducible:
===============
easily

Steps to Reproduce:
1.create an afr volume
2.disable heal deamon
3.trigger a manual heal

Comment 3 Ravishankar N 2017-09-27 09:47:36 UTC
Moving to POST based on comment #2. Patch is https://review.gluster.org/#/c/15724/

Comment 6 Vijay Avuthu 2018-03-02 09:45:13 UTC
Update:
==========

> verified with build: glusterfs-server-3.12.2-4.el7rhgs.x86_64


> create 2 AFR volumes and disabled the self-heal for one volume ( distrep )

# gluster vol get distrep cluster.self-heal-daemon
Option                                  Value                                   
------                                  -----                                   
cluster.self-heal-daemon                disable                                 
# 

> triggered heal for volume "distrep"

# gluster vol heal distrep 
Launching heal operation to perform index self heal on volume distrep has been unsuccessful:
Self-heal-daemon is disabled. Heal will not be triggered on volume distrep
# 

> No impact for the volume where self heal daemon is enabled ( able to trigger heal )


Changing Status to Verified

Changing status to Verified.

Comment 9 errata-xmlrpc 2018-09-04 06:29:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.